Drop support for kernel 2.6.18 and thus DM800. Get rid of DREAMBOX_KERNEL_VERSION...
[opendreambox.git] / meta-bsp / common / conf / machine / include / dreambox.inc
1 # dreambox.inc
2
3 GLIBC_EXTRA_OECONF = "--with-tls --with-__thread"
4
5 MACHINE_ESSENTIAL_EXTRA_RDEPENDS += "packagegroup-opendreambox-essential"
6 MACHINE_FEATURES += "alsa kernel26 wifi"
7
8 PREFERRED_PROVIDER_virtual/kernel = "linux-dreambox"
9
10 KERNEL_IMAGETYPE = "vmlinux"
11 KERNEL_OUTPUT = "${KERNEL_IMAGETYPE}"
12 KERNEL_CONSOLE = "${@base_contains('DREAMBOX_FEATURES', 'usbconsole', 'ttyS0,115200', 'null', d)}"
13
14 DREAMBOX_BUILDIMAGE = "buildimage --arch ${MACHINE} ${EXTRA_BUILDCMD} \
15         --erase-block-size ${DREAMBOX_ERASE_BLOCK_SIZE} \
16         --flash-size ${DREAMBOX_FLASH_SIZE} \
17         --sector-size ${DREAMBOX_SECTOR_SIZE}"